# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.64.0"
name = "mehari"
version = "0.15.0"
authors = ["Manuel Holtgrewe <manuel.holtgrewe@bih-charite.de>"]
description = "Variant effect prediction all in Rust"
homepage = "https://github.com/bihealth/mehari"
readme = "README.md"
license = "MIT"

[package.metadata.docs.rs]
all-features = true

[lib]
name = "mehari"
path = "src/lib.rs"

[[bin]]
name = "mehari"
path = "src/main.rs"

[dependencies.actix-web]
version = "4.4"

[dependencies.annonars]
version = "0.24"

[dependencies.anyhow]
version = "1.0"

[dependencies.async-compression]
version = "0.4"
features = [
    "tokio",
    "gzip",
]

[dependencies.bgzip]
version = "0.3"

[dependencies.bio]
version = "1.3"

[dependencies.biocommons-bioutils]
version = "0.1.4"

[dependencies.byte-unit]
version = "4.0"

[dependencies.byteorder]
version = "1.4"

[dependencies.chrono]
version = "0.4"

[dependencies.clap]
version = "4.4"
features = ["derive"]

[dependencies.clap-verbosity-flag]
version = "2.0"

[dependencies.csv]
version = "1.3"

[dependencies.derivative]
version = "2.2"

[dependencies.env_logger]
version = "0.10"

[dependencies.flate2]
version = "1.0"

[dependencies.futures]
version = "0.3.28"

[dependencies.hgvs]
version = "0.12"

[dependencies.indexmap]
version = "2.0"
features = ["serde"]

[dependencies.indicatif]
version = "0.17"

[dependencies.jsonl]
version = "4.0"

[dependencies.lazy_static]
version = "1.4"

[dependencies.log]
version = "0.4"

[dependencies.nom]
version = "7.1"

[dependencies.noodles-bgzf]
version = "0.25"
features = ["async"]

[dependencies.noodles-core]
version = "0.12"

[dependencies.noodles-csi]
version = "0.25"

[dependencies.noodles-fasta]
version = "0.30"

[dependencies.noodles-tabix]
version = "0.31"

[dependencies.noodles-vcf]
version = "0.43"
features = ["async"]

[dependencies.parse-display]
version = "0.8"

[dependencies.procfs]
version = "0.15"

[dependencies.prost]
version = "0.12"

[dependencies.quick_cache]
version = "0.4"

[dependencies.rand]
version = "0.8"

[dependencies.rand_core]
version = "0.6"

[dependencies.rocksdb]
version = "0.21"
features = ["multi-threaded-cf"]

[dependencies.rustc-hash]
version = "1.1"

[dependencies.seqrepo]
version = "0.8"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_with]
version = "3.3"
features = ["indexmap_2"]

[dependencies.strum]
version = "0.25"
features = ["derive"]

[dependencies.tempfile]
version = "3"

[dependencies.thousands]
version = "0.2"

[dependencies.tokio]
version = "1.33"
features = ["full"]

[dependencies.tracing]
version = "0.1"
features = ["log"]

[dependencies.tracing-subscriber]
version = "0.3"

[dependencies.uuid]
version = "1.4"
features = [
    "fast-rng",
    "serde",
]

[dependencies.zstd]
version = "0.13"

[dev-dependencies.async-std]
version = "1.12"
features = ["attributes"]

[dev-dependencies.csv]
version = "1.3"

[dev-dependencies.hxdmp]
version = "0.2.1"

[dev-dependencies.insta]
version = "1.34"
features = ["yaml"]

[dev-dependencies.pretty_assertions]
version = "1.4"

[dev-dependencies.rstest]
version = "0.18"

[dev-dependencies.temp_testdir]
version = "0.2"

[build-dependencies.prost-build]
version = "0.12"

[features]
default = []
documentation = []
